@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap");
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

:root {
  --marronOscuro: #4e3b31;
  --dorado: #d29f6d;
  --crema: #fff5e1;
  --marronClaro: #9c7b66;
  --fuenteTitulos: "Playfair Display", serif;
  --fuenteCuerpo: "Lato", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--fuenteTitulos);
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-color: var(--crema);
  font-family: var(--fuenteCuerpo);
}

main {
  flex-grow: 1;
  animation: fadeIn 0.9s;
}
/* Estilos del navbar */
.navPrincipal {
  background-color: var(--crema);

  .navLinkPersonalizado {
    color: var(--marronOscuro);
    transition: 300ms;

    &:hover {
      color: var(--marronClaro);
    }
    &.active {
      color: var(--dorado);
      font-weight: 700;
      &:hover {
        color: var(--marronClaro);
      }
    }

    /*deshabilitado */
    &.disabled {
      color: var(--marronClaro);
      opacity: 0.6;
      pointer-events: none; /* Evita que sea clickeable */
      cursor: default;
    }
  }
}

.bordeDorado {
  border-bottom: 2px solid var(--dorado);
}

.tituloPasteleria {
  font-family: var(--fuenteTitulos);
  color: var(--marronOscuro);
}

.icono-logo {
  font-size: 1.3rem;
}

/* Estilos del Hero */

.heroContainer {
  height: 50vh;
  width: 100%;
  position: relative;
  .videoFondo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    z-index: 1;
  }
  .overlayHero {
    position: absolute;
    inset: 0; /* Es como poner bottom top left y right 0 para tapar todo el video con "sombra"*/
    background: rgba(78, 59, 49, 0.5);
    z-index: 2;
    p {
      font-family: var(--fuenteCuerpo);
    }
    .shadowLetras {
      text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.6);
    }
  }
}

/* Estilos de seccion categorias */

.itemCategoria {
  font-family: var(--fuenteCuerpo);
  font-size: 1.2rem;
  .circuloImagen {
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    overflow: hidden;
    transition: filter 300ms;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    &:hover {
      filter: brightness(1.1) saturate(1.3);
      box-shadow: 0px 0px 10px var(--dorado);
      transform: scale(1.05);
      transition: 300ms;
    }
  }
}

/* Estilos del banner */

.banner {
  background-color: var(--marronOscuro);

  h3 {
    letter-spacing: 1px;
    line-height: 2em;
    font-style: italic;
  }
}

/* Estilos de seccion comunidad */

.fotoComunidad {
  aspect-ratio: 1 / 1;
  overflow: hidden;
  background-color: var(--marronOscuro);
  border-radius: 5px;
  /*  border: 2px solid var(--marronClaro); */
  box-shadow: 2px 2px 3px var(--marronOscuro);
  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 0.5s;
    opacity: 0.9;
    border-radius: 100px;
  }

  &:hover img {
    transform: scale(1.1);
    opacity: 1;
  }
}
/* Estilos de recetas */

.card {
  background: var(--crema);
  border-bottom: solid 1px var(--dorado);
  .linkDetalle {
    color: var(--marronClaro);
  }
}

.recetaCard {
  transition: transform 0.3s;
  overflow: hidden;
  .contenedorImagenReceta {
    aspect-ratio: 2 / 3; /* Con esto establezco la forma de la card para que todas las imagenes se vean iguales */
    overflow: hidden;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transition: transform 0.5s;
    }
  }

  &:hover {
    transform: translateY(-5px);
    img {
      transform: scale(1.05);
    }
  }
}



/* Estilos 404 */

.hero404 {
  position: relative;
  height: 100vh;
  width: 100%;
  overflow: hidden;

  .videoBG {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
  }

  .overlay404 {
    height: 100%;
    background: rgba(
      0,
      0,
      0,
      0.7
    );

    h1 {
      color: var(--dorado);
    }

    .btn-outline-light:hover {
      background-color: var(--dorado);
      border-color: var(--dorado);
      color: var(--marronOscuro);
    }
  }
}

/* Estilos de la pagina Detalles */

.breadcrumb{
  a{
  color: #4e3b31;
  }
}

.ingredientes{
  background-color: var(--marronClaro);
  padding: 2em;
  border-radius: 10px;
  color: var(--crema);
  border:1px solid var(--marronOscuro);
  box-shadow: 2px 2px 3px rgba(0, 0, 0, 0.3);
}

.contenedorImagenDetalle {
  aspect-ratio: 4 / 5;
  img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    
  }
}

.recomendaciones{
    background-color: var(--marronClaro);
  border-radius: 10px;
  color: var(--crema);
  border:1px solid var(--marronOscuro);
}

.btn{
  background: var(--dorado);
  color: var(--marronOscuro);
  &:hover{
    transform: scale(1.1);
    transition: 0.3s;
  }
}

/* Estilos del footer */
.footer {
  background-color: var(--marronOscuro);
  color: white;
  border-top: 2px solid var(--dorado);
  h5 {
    font-size: 1rem;
  }
  p {
    font-size: 0.8rem;
  }
  .enlaceRed {
    color: white;
    font-size: 1.5rem;
    display: inline-block;
    transition: 300ms;

    &:hover {
      color: var(--dorado);
      transform: translateY(-3px);
    }
  }
}

@keyframes fadeIn {
  from { opacity: 0; transform: translateY(10px); }
  to { opacity: 1; transform: translateY(0); }
}